#
# spec file for package stardict-dictionaries-de-cs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         stardict_dir %{_datadir}/stardict
%define         stardict_dic_dir %{_datadir}/stardict/dic
Name:           stardict-dictionaries-de-cs
Version:        20140801
Release:        4.1
Summary:        Stardict package for German-Czech dictionary
License:        GFDL-1.1
Group:          Productivity/Office/Dictionary
Url:            http://cihar.com/software/slovnik/
Source0:        http://dl.cihar.com/slovnik/stable/stardict-german-czech-%{version}.tar.gz
Provides:       stardict-german-czech = %version
Obsoletes:      stardict-german-czech < %version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version} || 0%{?mdkversion}
Recommends:     qstardict
Recommends:     sdcv
Recommends:     stardict
%endif

%description
This is a package of the GNU/FDL German-Czech dictionary
for Stardict.

It contains also automatically generated dictionary for reverse
direction.

You can contribute to the dictionary at <http://slovnik.hrach.eu/>.

%prep
%setup -q -n stardict-german-czech-%{version}

%build

%install
mkdir -p %{buildroot}/%{stardict_dic_dir}
cp -a *  %{buildroot}/%{stardict_dic_dir}/
mv %{buildroot}/%{stardict_dic_dir}/README %{buildroot}/%{stardict_dic_dir}/README.%{name}

%files
%defattr(-,root,root)
%dir %{stardict_dir}
%dir %{stardict_dic_dir}
%{stardict_dic_dir}

%changelog
* Mon Jul 27 2015 sleep_walker@opensuse.org
- rename README to README.%%{name} to avoid collisions between
  packages
* Wed Aug 13 2014 mcihar@suse.cz
- Use versioned Provides/Obsoletes
* Tue Aug 12 2014 mcihar@suse.cz
- fixed license to GFDL-1.1
* Tue Aug 12 2014 mcihar@suse.cz
- update to 20140801
* Thu Jan 26 2012 mcihar@suse.cz
- update to 20111201
* Thu Jun  2 2011 mcihar@suse.cz
- rename to stardict-dictionaries-de-cs
* Mon May  9 2011 mcihar@suse.cz
- initial version
